> ## Documentation Index
> Fetch the complete documentation index at: https://gecko.security/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List scans



## OpenAPI

````yaml /api-reference/openapi.json get /scans
openapi: 3.1.0
info:
  title: Gecko Security API
  version: 1.0.0
  description: >-
    Programmatic access to scans, vulnerabilities, repositories, schedules,
    webhooks, and scanner image releases. Authenticate with an API key via the
    `X-API-Key` header or `Authorization: Bearer <key>`.
servers:
  - url: https://app.gecko.security/api/v1
security:
  - ApiKeyHeader: []
  - BearerAuth: []
paths:
  /scans:
    get:
      summary: List scans
      parameters:
        - name: limit
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 250
            default: 25
        - name: cursor
          in: query
          schema:
            type: string
        - name: sort
          in: query
          schema:
            type: string
        - name: order
          in: query
          schema:
            type: string
            enum:
              - asc
              - desc
        - name: status
          in: query
          schema:
            type: string
        - name: repository
          in: query
          schema:
            type: string
        - name: created_after
          in: query
          schema:
            type: string
        - name: created_before
          in: query
          schema:
            type: string
      responses:
        '200':
          description: A list of scans
          content:
            application/json:
              schema:
                type: object
                properties:
                  object:
                    const: list
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Scan'
                  pagination:
                    type: object
                    properties:
                      has_more:
                        type: boolean
                      next_cursor:
                        type:
                          - string
                          - 'null'
                    required:
                      - has_more
                      - next_cursor
                required:
                  - object
                  - data
                  - pagination
        '401':
          description: Authentication error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Authorization error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '429':
          description: Rate limited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Scan:
      $schema: https://json-schema.org/draft/2020-12/schema
      type: object
      properties:
        object:
          type: string
          const: scan
        id:
          type: string
          format: uuid
          pattern: >-
            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
        name:
          type: string
        status:
          anyOf:
            - type: string
            - type: 'null'
        is_done:
          type: boolean
        progress:
          anyOf:
            - type: integer
              minimum: -9007199254740991
              maximum: 9007199254740991
            - type: 'null'
        programming_language:
          anyOf:
            - type: string
            - type: 'null'
        branch:
          anyOf:
            - type: string
            - type: 'null'
        commit_sha:
          anyOf:
            - type: string
            - type: 'null'
        repository:
          anyOf:
            - type: string
            - type: 'null'
        vulnerability_counts:
          type: object
          properties:
            critical:
              type: integer
              minimum: 0
              maximum: 9007199254740991
            high:
              type: integer
              minimum: 0
              maximum: 9007199254740991
            medium:
              type: integer
              minimum: 0
              maximum: 9007199254740991
            low:
              type: integer
              minimum: 0
              maximum: 9007199254740991
            total:
              type: integer
              minimum: 0
              maximum: 9007199254740991
          required:
            - critical
            - high
            - medium
            - low
            - total
          additionalProperties: false
        created_at:
          type: string
        ended_at:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - object
        - id
        - name
        - status
        - is_done
        - progress
        - programming_language
        - branch
        - commit_sha
        - repository
        - vulnerability_counts
        - created_at
        - ended_at
      additionalProperties: false
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            type:
              type: string
            code:
              type: string
            message:
              type: string
            param:
              type: string
            doc_url:
              type: string
            request_id:
              type: string
          required:
            - type
            - code
            - message
            - doc_url
            - request_id
      required:
        - error
  securitySchemes:
    ApiKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
    BearerAuth:
      type: http
      scheme: bearer

````